Bug 1424922 - Search filter disappears when deleting a host.
Summary: Search filter disappears when deleting a host.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact:
URL:
Whiteboard:
: 1420203 1440358 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2017-02-20 05:15 UTC by Renu Chauhan
Modified: 2020-04-14 13:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 20105 Normal Closed Search filter disappears when deleting a host. 2020-04-13 22:44:37 UTC
Red Hat Knowledge Base (Solution) 3107761 None None None 2017-09-17 12:56:41 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:44 UTC

Description Renu Chauhan 2017-02-20 05:15:00 UTC
Description of problem:
In Red Hat Satellite 6, after applying a filter when we try to delete a host, after its deletion, the search filter disappears.

Version-Release number of selected component (if applicable):


How reproducible:Always


Steps to Reproduce:
1.In Satellite 6, navigate to Hosts -> All Hosts

2. Apply a search filter, for instance "name ~ abcd" and click the Search button

3. Delete one of the hosts shown by clicking the "v" next to the Edit button and selecting the "Delete" option. Click "OK" on the confirmation prompt.

Actual results:The server will be deleted from the All Hosts list, but the search filter is no longer active and all "All Hosts" servers are shown.


Expected results:The search filter to still be there, showing the remaining servers corresponding with those search criteria.


Additional info:

Comment 4 Ivan Necas 2017-04-11 08:51:27 UTC
*** Bug 1440358 has been marked as a duplicate of this bug. ***

Comment 5 Tomer Brisker 2017-06-26 11:34:03 UTC
Created redmine issue http://projects.theforeman.org/issues/20105 from this bug

Comment 6 pm-sat@redhat.com 2017-08-28 14:10:22 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 7 Tomer Brisker 2017-09-17 12:56:42 UTC
*** Bug 1420203 has been marked as a duplicate of this bug. ***

Comment 9 Bryan Kearney 2018-09-04 17:57:44 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 10 Marek Hulan 2019-07-24 12:39:19 UTC
Reopening this to track the fix, it just landed in upstream.

Comment 12 tstrych 2019-11-18 17:50:54 UTC
After delete action filter was still active. Verified with Sat 6.7.0 snap 1.

Comment 15 errata-xmlrpc 2020-04-14 13:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.